EDIT - bug #8194

LazylnitializationException (LIE) on deleting the nomenclatural referenz (Section) of a Name
03/21/2019 06:59 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: critical Found in Version:

Description

Habe die Section des eines Namens die als nomenklatorische Referenz gesetzt war I6schen wollen:
http://phycobank.org/101145

Registration Edit taxon name

Rank

With replaced synonym alidation Orthographical correction

und bekam im Reference Editor:

org.hibernate.lLazyInitializationException: could not initialize proxy - no Session

at org.hibernate.proxy.AbstractlLazyInitializer.initialize (AbstractLazyInitializer.j
ava:148)

at org.hibernate.proxy.AbstractlLazyInitializer.getImplementation (AbstractLazyInitia
lizer.java:266)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazy
Initializer.java:68)

at eu.etaxonomy.cdm.model.agent.TeamOrPersonBase_$$_jvstl2a_62.getNomenclaturalTitl
e (TeamOrPersonBase_$$_Jjvstl2a_62. java)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getAuthorAndE
xAuthor (TaxonNameDefaultCacheStrategy. java:254)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getNonCacheAu
thorshipCache (TaxonNameDefaultCacheStrategy. java:196)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getAuthorship
Cache (TaxonNameDefaultCacheStrategy. java:170)

at eu.etaxonomy.cdm.model.name.TaxonName.updateAuthorshipCache (TaxonName. java:3595)

at eu.etaxonomy.cdm.model.name.TaxonName.getTitleCache (TaxonName. java:1498)

at eu.etaxonomy.cdm.service.CdmStore.lambda$handleDeleteresultInError$l (CdmStore. ja
va:205)

at java.lang.Iterable.forEach (Iterable.java:75)

at eu.etaxonomy.cdm.service.CdmStore.handleDeleteresultInError (CdmStore. java:202)

at eu.etaxonomy.cdm.service.CdmStore.deleteBean (CdmStore. java:170)

at eu.etaxonomy.vaadin.mvp.CdmEditorPresenterBase.deleteBean (CdmEditorPresenterBase
.java:297)

at eu.etaxonomy.vaadin.mvp.AbstractEditorPresenter.onEditorDeleteEvent (AbstractEdit
orPresenter. java:118)

Related issues:
Related to EDIT - feature request #8204: RegistrationWorkingsetEditor shows I... New

History

#1 - 03/21/2019 07:01 PM - Andreas Kohlbecker

Initializing the authorteam of the inReferences of the references loaded by the combobox should solve the problem.

#2 - 03/22/2019 02:44 PM - Andreas Kohlbecker

- Subject changed from LazylnitializationException (LIE) on deleting the nomenklatorical referenz (Section) of a Name to LazylnitializationException
(LIE) on deleting the nomenclatural referenz (Section) of a Name

#3 - 03/22/2019 03:17 PM - Andreas Kohlbecker
- File picture144-1.png added

- Description updated

#4 - 03/22/2019 03:18 PM - Andreas Kohlbecker
- Description updated

#5 - 03/22/2019 03:31 PM - Andreas Kohlbecker

- Related to feature request #8204: RegistrationWorkingsetEditor shows list of unused sections and allows for delting them added

#6 - 03/22/2019 03:51 PM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
Even if the LazylnitializationException is avoided deletion of the section is impossible since it is still in use as nomenclaturalReference.
We have two options now to deal with this situation:
1. hide the delete button in this situation and implement #8204
2. show the delete button if the reference is a ISection having an inReference, once the delete button is pressed the nomencaltural reference is
switched to the inReference and the delete operation is done afterwards
what do you think Henning?
#7 - 03/26/2019 03:54 PM - Andreas Kohlbecker

We agreed on :

1. hide the delete button in this situation and implement #8204

Warning is sufficient, we don't need to hide the button.
Closing issue.

#8 - 03/26/2019 03:55 PM - Andreas Kohlbecker

- Status changed from Feedback to Closed

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 0 to 100

Files

picture144-1.png 49 KB 03/22/2019 Andreas Kohlbecker
